Package com.smartgwt.client.widgets

# Class RibbonButton

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.Button
com.smartgwt.client.widgets.RibbonButton

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasIconClickHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasTitleHoverHandlers`, `HasVisibilityChangedHandlers`, `HasMenuIconClickHandlers`

Direct Known Subclasses:
  `IconButton`, `RibbonMenuButton`

public class RibbonButton extends Button implements HasMenuIconClickHandlers
A Button subclass that displays an `icon`, `title` and optional `menuIcon` and is capable of `horizontal and vertical` orientation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RibbonButton()`
  `RibbonButton(JavaScriptObject jsObj)`
  `RibbonButton(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addMenuIconClickHandler(MenuIconClickHandler handler)`
  Add a menuIconClick handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `Boolean`
  `click()`
  Notification method fired when a user clicks anywhere on this button.
  `protected JavaScriptObject`
  `create()`
  `Alignment`
  `getAlign()`
  Horizontal alignment of this button's content.
  `String`
  `getBaseStyle()`
  Default stateful CSS class for this button.
  `String`
  `getEditProxyConstructor()`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `String`
  `getIcon()`
  Icon to show to the left of or above the title, according to the button's `orientation`.
  `String`
  `getIconAlign()`
  This attribute is not supported in this subclass.
  `String`
  `getIconOrientation()`
  This attribute is not supported in this subclass.
  `String`
  `getIconStyle()`
  Default CSS class for this button's `icon`.
  `String`
  `getLargeIcon()`
  Icon to show above the title when `Orientation` is "vertical".
  `int`
  `getLargeIconSize()`
  The size of the large icon for this button.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `Menu`
  `getMenu()`
  The menu to show when the `menu-icon` is clicked.
  `Alignment`
  `getMenuAlign()`
  The horizontal alignment of this button's menu, in relation to the button.
  `String`
  `getMenuAnimationEffect()`
  Allows you to specify an animation effect to apply to the menu when it is being shown.
  `int`
  `getMenuIconHeight()`
  The height of the icon for this button.
  `String`
  `getMenuIconSrc()`
  Base URL for an Image that shows a `menu` when clicked.
  `String`
  `getMenuIconStyle()`
  Default CSS class to apply to the element showing this button's `menu-icon`.
  `int`
  `getMenuIconWidth()`
  The width of the icon for this button.
  `static RibbonButton`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getOrientation()`
  Deprecated.
  in favor of `vertical` which, if set, takes precendence over this setting
  `int`
  `getRowSpan()`
  When used in a `RibbonBar`, the number of rows this button should occupy in a single `column`.
  `Boolean`
  `getShowButtonTitle()`
  Whether to show the title-text for this RibbonButton.
  `Boolean`
  `getShowIcon()`
  Whether to show an Icon in this RibbonButton.
  `Boolean`
  `getShowMenuBelow()`
  The menu drops down below the menu button.
  `Boolean`
  `getShowMenuIcon()`
  Whether to show the `menu-icon` which fires the `RibbonButton.menuIconClick()` notification method when clicked.
  `Boolean`
  `getShowMenuIconDisabled()`
  Whether to show a Disabled version of the `menuIcon`.
  `Boolean`
  `getShowMenuIconDown()`
  Whether to show a Down version of the `menuIcon`.
  `Boolean`
  `getShowMenuIconOver()`
  Whether to show an Over version of the `menuIcon`.
  `Boolean`
  `getShowMenuOnClick()`
  If set to true, shows this button's `menu` when a user clicks anywhere in the button, rather than specifically on the `menuIcon`.
  `Boolean`
  `getShowTitle()`
  showTitle is not applicable to this class - use `showButtonTitle` instead.
  `VerticalAlignment`
  `getValign()`
  Vertical alignment of this button's content.
  `boolean`
  `getVertical()`
  Whether this button renders vertically.
  `Boolean`
  `iconClick()`
  Notification method fired when a user clicks on the `icon` in this RibbonButton.
  `RibbonButton`
  `setAlign(Alignment align)`
  Horizontal alignment of this button's content.
  `RibbonButton`
  `setBaseStyle(String baseStyle)`
  Default stateful CSS class for this button.
  `static void`
  `setDefaultProperties(RibbonButton ribbonButtonProperties)`
  Class level method to set the default properties of this class.
  `RibbonButton`
  `setEditProxyConstructor(String editProxyConstructor)`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `RibbonButton`
  `setIcon(String icon)`
  Icon to show to the left of or above the title, according to the button's `orientation`.
  `RibbonButton`
  `setIconAlign(String iconAlign)`
  This attribute is not supported in this subclass.
  `RibbonButton`
  `setIconOrientation(String iconOrientation)`
  This attribute is not supported in this subclass.
  `RibbonButton`
  `setIconStyle(String iconStyle)`
  Default CSS class for this button's `icon`.
  `RibbonButton`
  `setLargeIcon(String largeIcon)`
  Icon to show above the title when `Orientation` is "vertical".
  `RibbonButton`
  `setLargeIconSize(int largeIconSize)`
  The size of the large icon for this button.
  `LogicalStructureObject`
  `setLogicalStructure(RibbonButtonLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `RibbonButton`
  `setMenu(Menu menu)`
  The menu to show when the `menu-icon` is clicked.
  `RibbonButton`
  `setMenuAlign(Alignment menuAlign)`
  The horizontal alignment of this button's menu, in relation to the button.
  `RibbonButton`
  `setMenuAnimationEffect(String menuAnimationEffect)`
  Allows you to specify an animation effect to apply to the menu when it is being shown.
  `RibbonButton`
  `setMenuIconHeight(int menuIconHeight)`
  The height of the icon for this button.
  `RibbonButton`
  `setMenuIconSrc(String menuIconSrc)`
  Base URL for an Image that shows a `menu` when clicked.
  `RibbonButton`
  `setMenuIconStyle(String menuIconStyle)`
  Default CSS class to apply to the element showing this button's `menu-icon`.
  `RibbonButton`
  `setMenuIconWidth(int menuIconWidth)`
  The width of the icon for this button.
  `RibbonButton`
  `setOrientation(String orientation)`
  Deprecated.
  in favor of `vertical` which, if set, takes precendence over this setting
  `RibbonButton`
  `setRowSpan(int rowSpan)`
  When used in a `RibbonBar`, the number of rows this button should occupy in a single `column`.
  `RibbonButton`
  `setShowButtonTitle(Boolean showButtonTitle)`
  Whether to show the title-text for this RibbonButton.
  `RibbonButton`
  `setShowIcon(Boolean showIcon)`
  Whether to show an Icon in this RibbonButton.
  `RibbonButton`
  `setShowMenuBelow(Boolean showMenuBelow)`
  The menu drops down below the menu button.
  `RibbonButton`
  `setShowMenuIcon(Boolean showMenuIcon)`
  Whether to show the `menu-icon` which fires the `RibbonButton.menuIconClick()` notification method when clicked.
  `RibbonButton`
  `setShowMenuIconDisabled(Boolean showMenuIconDisabled)`
  Whether to show a Disabled version of the `menuIcon`.
  `RibbonButton`
  `setShowMenuIconDown(Boolean showMenuIconDown)`
  Whether to show a Down version of the `menuIcon`.
  `RibbonButton`
  `setShowMenuIconOver(Boolean showMenuIconOver)`
  Whether to show an Over version of the `menuIcon`.
  `RibbonButton`
  `setShowMenuOnClick(Boolean showMenuOnClick)`
  If set to true, shows this button's `menu` when a user clicks anywhere in the button, rather than specifically on the `menuIcon`.
  `RibbonButton`
  `setShowTitle(Boolean showTitle)`
  showTitle is not applicable to this class - use `showButtonTitle` instead.
  `RibbonButton`
  `setValign(VerticalAlignment valign)`
  Vertical alignment of this button's content.
  `RibbonButton`
  `setVertical(boolean vertical)`
  Whether this button renders vertically.
  `Boolean`
  `showMenu()`
  Shows this button's `menu`.

  ### Methods inherited from class com.smartgwt.client.widgets.Button

  `action, addIconClickHandler, addTitleHoverHandler, addToRadioGroup, assertIsButton, deselect, getActionType, getAdaptWidthShowIconOnly, getAutoFit, getCanAdaptWidth, getDefiningProperty, getDisabledIconCursor, getHeight, getHeightAsString, getHiliteAccessKey, getIconCursor, getIconHeight, getIconOnlyBaseStyle, getIconSize, getIconSpacing, getIconWidth, getOverflow, getRadioGroup, getShowClippedTitleOnHover, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedIcon, getShowRollOver, getShowRollOverIcon, getShowSelectedIcon, getState, getStyleName, getTitle, getUseSpan, getWidth, getWidthAsString, getWrap, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAdaptWidthShowIconOnly, setAutoFit, setCanAdaptWidth, setDefaultProperties, setDefiningProperty, setDisabledIconCursor, setHeight, setHeight, setHiliteAccessKey, setIconCursor, setIconHeight, setIconOnlyBaseStyle, setIconSize, setIconSpacing, setIconWidth, setLogicalStructure, setOverflow, setRadioGroup, setShowClippedTitleOnHover, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedIcon, setShowRollOver, setShowRollOverIcon, setShowSelectedIcon, setState, setStyleName, setTitle, setTitleHoverFormatter, setUseSpan, setWidth, setWidth, setWrap, titleClipped, titleHoverHTML`

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `getAriaLabel, getAriaStateDefaults, getIgnoreRTL, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRedrawOnStateChange, getSelected, getShowFocusedAsOver, getShowOverCanvas, getShowRTLIcon, getStateSuffix, getVIconStyle, isSelected, setAriaLabel, setDefaultProperties, setIgnoreRTL, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRedrawOnStateChange, setSelected, setShowFocusedAsOver, setShowOverCanvas, setShowRTLIcon, setTitleFormatter, setTitleStyle, setVIconStyle`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### RibbonButton

    public RibbonButton()

  - ### RibbonButton

    public RibbonButton(JavaScriptObject jsObj)

  - ### RibbonButton

    public RibbonButton(String title)

- ## Method Details

  - ### getOrCreateRef

    public static RibbonButton getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `Button`

  - ### setAlign

    public RibbonButton setAlign(Alignment align)
    Horizontal alignment of this button's content. If unset, `vertical buttons` are center-aligned and horizontal buttons left-aligned by default.
    Overrides:
      `setAlign` in class `Button`
    Parameters:
      `align` - New align value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getAlign

    public Alignment getAlign()
    Horizontal alignment of this button's content. If unset, `vertical buttons` are center-aligned and horizontal buttons left-aligned by default.
    Overrides:
      `getAlign` in class `Button`
    Returns:
      Current align value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### setBaseStyle

    public RibbonButton setBaseStyle(String baseStyle)
    Default stateful CSS class for this button. When `iconStyle` or `menuIconStyle` are unset, they will default to the value of this attribute, suffixed with `H/VIcon` or `H/VMenuIcon` respectively, depending on the value of `vertical`.
    Overrides:
      `setBaseStyle` in class `Button`
    Parameters:
      `baseStyle` - New baseStyle value. Default value is "ribbonButton"
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getBaseStyle

    public String getBaseStyle()
    Default stateful CSS class for this button. When `iconStyle` or `menuIconStyle` are unset, they will default to the value of this attribute, suffixed with `H/VIcon` or `H/VMenuIcon` respectively, depending on the value of `vertical`.
    Overrides:
      `getBaseStyle` in class `Button`
    Returns:
      Current baseStyle value. Default value is "ribbonButton"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setEditProxyConstructor

    public RibbonButton setEditProxyConstructor(String editProxyConstructor) throws IllegalStateException
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `setEditProxyConstructor` in class `StatefulCanvas`
    Parameters:
      `editProxyConstructor` - New editProxyConstructor value. Default value is "RibbonButtonEditProxy"
    Returns:
      `RibbonButton` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCClassName`

  - ### getEditProxyConstructor

    public String getEditProxyConstructor()
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `getEditProxyConstructor` in class `StatefulCanvas`
    Returns:
      Current editProxyConstructor value. Default value is "RibbonButtonEditProxy"
    See Also:
      - `SCClassName`

  - ### setIcon

    public RibbonButton setIcon(String icon)
    Icon to show to the left of or above the title, according to the button's `orientation`.

    When specifying `vertical = true`, this icon will be stretched to the `largeIconSize` unless a `largeIcon` is specified.
    If this method is called after the component has been drawn/initialized: Sets a new Icon for this button after initialization.

    Overrides:
      `setIcon` in class `Button`
    Parameters:
      `icon` - URL of new icon. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getIcon

    public String getIcon()
    Icon to show to the left of or above the title, according to the button's `orientation`.

    When specifying `vertical = true`, this icon will be stretched to the `largeIconSize` unless a `largeIcon` is specified.

    Overrides:
      `getIcon` in class `Button`
    Returns:
      Returns the URL for the current icon. Default value is null
    See Also:
      - `SCImgURL`

  - ### setIconAlign

    public RibbonButton setIconAlign(String iconAlign)
    This attribute is not supported in this subclass. However, RTL mode is still supported.
    Overrides:
      `setIconAlign` in class `Button`
    Parameters:
      `iconAlign` - New iconAlign value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `Button Icon`

  - ### getIconAlign

    public String getIconAlign()
    This attribute is not supported in this subclass. However, RTL mode is still supported.
    Overrides:
      `getIconAlign` in class `Button`
    Returns:
      Current iconAlign value. Default value is null
    See Also:
      - `Button Icon`

  - ### setIconOrientation

    public RibbonButton setIconOrientation(String iconOrientation)
    This attribute is not supported in this subclass. However, RTL mode is still supported.
    Overrides:
      `setIconOrientation` in class `Button`
    Parameters:
      `iconOrientation` - New iconOrientation value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `Button Icon`
      - Icons Example

  - ### getIconOrientation

    public String getIconOrientation()
    This attribute is not supported in this subclass. However, RTL mode is still supported.
    Overrides:
      `getIconOrientation` in class `Button`
    Returns:
      Current iconOrientation value. Default value is null
    See Also:
      - `Button Icon`
      - Icons Example

  - ### setIconStyle

    public RibbonButton setIconStyle(String iconStyle)
    Default CSS class for this button's `icon`. If unset, defaults to `baseStyle` suffixed with `VIcon` or `HIcon` depending on the value of `vertical`.
    Overrides:
      `setIconStyle` in class `Button`
    Parameters:
      `iconStyle` - New iconStyle value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getIconStyle

    public String getIconStyle()
    Default CSS class for this button's `icon`. If unset, defaults to `baseStyle` suffixed with `VIcon` or `HIcon` depending on the value of `vertical`.
    Overrides:
      `getIconStyle` in class `Button`
    Returns:
      Current iconStyle value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setLargeIcon

    public RibbonButton setLargeIcon(String largeIcon)
    Icon to show above the title when `Orientation` is "vertical".

    If a largeIcon is not specified, the `normal icon` will be stretched to the `largeIconSize`.
    If this method is called after the component has been drawn/initialized: Sets a new Large-Icon for vertical buttons after initialization - synonymous with `setIcon` for normal horizontal buttons.

    Parameters:
      `largeIcon` - New largeIcon value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getLargeIcon

    public String getLargeIcon()
    Icon to show above the title when `Orientation` is "vertical".

    If a largeIcon is not specified, the `normal icon` will be stretched to the `largeIconSize`.

    Returns:
      Current largeIcon value. Default value is null
    See Also:
      - `SCImgURL`

  - ### setLargeIconSize

    public RibbonButton setLargeIconSize(int largeIconSize)
    The size of the large icon for this button. If `largeIcon` is not specified, the `normal icon` will be stretched to this size.
    Parameters:
      `largeIconSize` - New largeIconSize value. Default value is 32
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getLargeIconSize

    public int getLargeIconSize()
    The size of the large icon for this button. If `largeIcon` is not specified, the `normal icon` will be stretched to this size.
    Returns:
      Current largeIconSize value. Default value is 32

  - ### setMenu

    public RibbonButton setMenu(Menu menu)
    The menu to show when the `menu-icon` is clicked.

    For a menu button with no menu (menu: null) the up/down arrow image can be suppressed by setting `showMenuIcon`: `false`.
    If this method is called after the component has been drawn/initialized: The menu to show when the `menu-icon` is clicked.

    For a menu button with no menu (menu: null) the up/down arrow image can be suppressed by setting `showMenuIcon`: `false`. Note that `showMenuIcon` is updated automatically by calls to `setMenu()`.

    Parameters:
      `menu` - a menu to assign to this button. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getMenu

    public Menu getMenu()
    The menu to show when the `menu-icon` is clicked.

    For a menu button with no menu (menu: null) the up/down arrow image can be suppressed by setting `showMenuIcon`: `false`.

    Returns:
      Current menu value. Default value is null

  - ### setMenuAlign

    public RibbonButton setMenuAlign(Alignment menuAlign) throws IllegalStateException
    The horizontal alignment of this button's menu, in relation to the button. When unset, default behavior is to align the right edges of button and menu if the page is in RTL mode, and the left edges otherwise.
    Parameters:
      `menuAlign` - New menuAlign value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMenuAlign

    public Alignment getMenuAlign()
    The horizontal alignment of this button's menu, in relation to the button. When unset, default behavior is to align the right edges of button and menu if the page is in RTL mode, and the left edges otherwise.
    Returns:
      Current menuAlign value. Default value is null

  - ### setMenuAnimationEffect

    public RibbonButton setMenuAnimationEffect(String menuAnimationEffect)
    Allows you to specify an animation effect to apply to the menu when it is being shown. Valid options are "none" (no animation), "fade", "slide" and "wipe". If unspecified falls through to `menu.showAnimationEffect`

    Note : This is an advanced setting

    Parameters:
      `menuAnimationEffect` - New menuAnimationEffect value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getMenuAnimationEffect

    public String getMenuAnimationEffect()
    Allows you to specify an animation effect to apply to the menu when it is being shown. Valid options are "none" (no animation), "fade", "slide" and "wipe". If unspecified falls through to `menu.showAnimationEffect`
    Returns:
      Current menuAnimationEffect value. Default value is null

  - ### setMenuIconHeight

    public RibbonButton setMenuIconHeight(int menuIconHeight)
    The height of the icon for this button.
    Parameters:
      `menuIconHeight` - New menuIconHeight value. Default value is 13
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getMenuIconHeight

    public int getMenuIconHeight()
    The height of the icon for this button.
    Returns:
      Current menuIconHeight value. Default value is 13

  - ### setMenuIconSrc

    public RibbonButton setMenuIconSrc(String menuIconSrc)
    Base URL for an Image that shows a `menu` when clicked. See also `showMenuIconDisabled` and `showMenuIconOver`.
    Parameters:
      `menuIconSrc` - New menuIconSrc value. Default value is "[SKINIMG]/Menu/submenu_down.png"
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getMenuIconSrc

    public String getMenuIconSrc()
    Base URL for an Image that shows a `menu` when clicked. See also `showMenuIconDisabled` and `showMenuIconOver`.
    Returns:
      Current menuIconSrc value. Default value is "[SKINIMG]/Menu/submenu_down.png"
    See Also:
      - `SCImgURL`

  - ### setMenuIconStyle

    public RibbonButton setMenuIconStyle(String menuIconStyle)
    Default CSS class to apply to the element showing this button's `menu-icon`. If unset, defaults to `baseStyle` suffixed with `VMenuIcon` or `HMenuIcon` depending on the value of `vertical`.
    Parameters:
      `menuIconStyle` - New menuIconStyle value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getMenuIconStyle

    public String getMenuIconStyle()
    Default CSS class to apply to the element showing this button's `menu-icon`. If unset, defaults to `baseStyle` suffixed with `VMenuIcon` or `HMenuIcon` depending on the value of `vertical`.
    Returns:
      Current menuIconStyle value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setMenuIconWidth

    public RibbonButton setMenuIconWidth(int menuIconWidth)
    The width of the icon for this button.
    Parameters:
      `menuIconWidth` - New menuIconWidth value. Default value is 14
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getMenuIconWidth

    public int getMenuIconWidth()
    The width of the icon for this button.
    Returns:
      Current menuIconWidth value. Default value is 14

  - ### setOrientation

    public RibbonButton setOrientation(String orientation)
    Deprecated.
    in favor of `vertical` which, if set, takes precendence over this setting
    The orientation of this RibbonButton. The default value, "vertical", renders `icon`, `title` and potentially `menuIcon`, from top to bottom: "horizontal" does the same from top to bottom.
    Parameters:
      `orientation` - New orientation value. Default value is "vertical"
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getOrientation

    public String getOrientation()
    Deprecated.
    in favor of `vertical` which, if set, takes precendence over this setting
    The orientation of this RibbonButton. The default value, "vertical", renders `icon`, `title` and potentially `menuIcon`, from top to bottom: "horizontal" does the same from top to bottom.
    Returns:
      Current orientation value. Default value is "vertical"

  - ### setRowSpan

    public RibbonButton setRowSpan(int rowSpan)
    When used in a `RibbonBar`, the number of rows this button should occupy in a single `column`.
    Parameters:
      `rowSpan` - New rowSpan value. Default value is 1
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getRowSpan

    public int getRowSpan()
    When used in a `RibbonBar`, the number of rows this button should occupy in a single `column`.
    Returns:
      Current rowSpan value. Default value is 1

  - ### setShowButtonTitle

    public RibbonButton setShowButtonTitle(Boolean showButtonTitle)
    Whether to show the title-text for this RibbonButton. If set to false, title-text is omitted altogether and just the icon is displayed.
    Parameters:
      `showButtonTitle` - New showButtonTitle value. Default value is true
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowButtonTitle

    public Boolean getShowButtonTitle()
    Whether to show the title-text for this RibbonButton. If set to false, title-text is omitted altogether and just the icon is displayed.
    Returns:
      Current showButtonTitle value. Default value is true

  - ### setShowIcon

    public RibbonButton setShowIcon(Boolean showIcon)
    Whether to show an Icon in this RibbonButton. Set to false to render a text-only button.
    Parameters:
      `showIcon` - New showIcon value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowIcon

    public Boolean getShowIcon()
    Whether to show an Icon in this RibbonButton. Set to false to render a text-only button.
    Returns:
      Current showIcon value. Default value is null

  - ### setShowMenuBelow

    public RibbonButton setShowMenuBelow(Boolean showMenuBelow)
    The menu drops down below the menu button. Set to false if the menu should appear above the menu button.
    Parameters:
      `showMenuBelow` - New showMenuBelow value. Default value is true
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuBelow

    public Boolean getShowMenuBelow()
    The menu drops down below the menu button. Set to false if the menu should appear above the menu button.
    Returns:
      Current showMenuBelow value. Default value is true

  - ### setShowMenuIcon

    public RibbonButton setShowMenuIcon(Boolean showMenuIcon)
    Whether to show the `menu-icon` which fires the `RibbonButton.menuIconClick()` notification method when clicked.
    Parameters:
      `showMenuIcon` - New showMenuIcon value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuIcon

    public Boolean getShowMenuIcon()
    Whether to show the `menu-icon` which fires the `RibbonButton.menuIconClick()` notification method when clicked.
    Returns:
      Current showMenuIcon value. Default value is null

  - ### setShowMenuIconDisabled

    public RibbonButton setShowMenuIconDisabled(Boolean showMenuIconDisabled)
    Whether to show a Disabled version of the `menuIcon`.
    Parameters:
      `showMenuIconDisabled` - New showMenuIconDisabled value. Default value is true
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuIconDisabled

    public Boolean getShowMenuIconDisabled()
    Whether to show a Disabled version of the `menuIcon`.
    Returns:
      Current showMenuIconDisabled value. Default value is true

  - ### setShowMenuIconDown

    public RibbonButton setShowMenuIconDown(Boolean showMenuIconDown)
    Whether to show a Down version of the `menuIcon`.
    Parameters:
      `showMenuIconDown` - New showMenuIconDown value. Default value is false
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuIconDown

    public Boolean getShowMenuIconDown()
    Whether to show a Down version of the `menuIcon`.
    Returns:
      Current showMenuIconDown value. Default value is false

  - ### setShowMenuIconOver

    public RibbonButton setShowMenuIconOver(Boolean showMenuIconOver)
    Whether to show an Over version of the `menuIcon`.
    Parameters:
      `showMenuIconOver` - New showMenuIconOver value. Default value is true
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuIconOver

    public Boolean getShowMenuIconOver()
    Whether to show an Over version of the `menuIcon`.
    Returns:
      Current showMenuIconOver value. Default value is true

  - ### setShowMenuOnClick

    public RibbonButton setShowMenuOnClick(Boolean showMenuOnClick)
    If set to true, shows this button's `menu` when a user clicks anywhere in the button, rather than specifically on the `menuIcon`.

    Note that this property has a different meaning than `showMenuOnClick` in the ancestor class `StatefulCanvas`.

    Overrides:
      `setShowMenuOnClick` in class `StatefulCanvas`
    Parameters:
      `showMenuOnClick` - New showMenuOnClick value. Default value is false
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowMenuOnClick

    public Boolean getShowMenuOnClick()
    If set to true, shows this button's `menu` when a user clicks anywhere in the button, rather than specifically on the `menuIcon`.

    Note that this property has a different meaning than `showMenuOnClick` in the ancestor class `StatefulCanvas`.

    Overrides:
      `getShowMenuOnClick` in class `StatefulCanvas`
    Returns:
      Current showMenuOnClick value. Default value is false

  - ### setShowTitle

    public RibbonButton setShowTitle(Boolean showTitle)
    showTitle is not applicable to this class - use `showButtonTitle` instead.
    Parameters:
      `showTitle` - New showTitle value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getShowTitle

    public Boolean getShowTitle()
    showTitle is not applicable to this class - use `showButtonTitle` instead.
    Returns:
      Current showTitle value. Default value is null

  - ### setValign

    public RibbonButton setValign(VerticalAlignment valign)
    Vertical alignment of this button's content. If unset, `vertical buttons` are top-aligned and horizontal buttons center-aligned by default.
    Overrides:
      `setValign` in class `Button`
    Parameters:
      `valign` - New valign value. Default value is null
    Returns:
      `RibbonButton` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getValign

    public VerticalAlignment getValign()
    Vertical alignment of this button's content. If unset, `vertical buttons` are top-aligned and horizontal buttons center-aligned by default.
    Overrides:
      `getValign` in class `Button`
    Returns:
      Current valign value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### setVertical

    public RibbonButton setVertical(boolean vertical)
    Whether this button renders vertically. Renders the `icon`, `title` and potentially `menuIcon` from top to bottom, when true, and from left to right when false.
    Parameters:
      `vertical` - New vertical value. Default value is false
    Returns:
      `RibbonButton` instance, for chaining setter calls

  - ### getVertical

    public boolean getVertical()
    Whether this button renders vertically. Renders the `icon`, `title` and potentially `menuIcon` from top to bottom, when true, and from left to right when false.
    Returns:
      Current vertical value. Default value is false

  - ### click

    public Boolean click()
    Notification method fired when a user clicks anywhere on this button. If the click occurred directly on the `icon` or the `menuIcon`, the related notifications `iconClick` and `menuIconClick` are fired first and must return false to prevent this notification from firing.

    If a `menu` is installed then, by default, it is only displayed when a user clicks on the `menuIcon`. This can be altered via `showMenuOnClick`.

    Returns:
      return false to cancel event-bubbling

  - ### iconClick

    public Boolean iconClick()
    Notification method fired when a user clicks on the `icon` in this RibbonButton. call `event.cancel()` to suppress the standard click handling code.
    Returns:
      return false to cancel event-bubbling

  - ### addMenuIconClickHandler

    public HandlerRegistration addMenuIconClickHandler(MenuIconClickHandler handler)
    Add a menuIconClick handler.

    Notification method fired when a user clicks on the menuIcon on this RibbonButton. call `event.cancel()` to suppress the standard click handling code.

    Specified by:
      `addMenuIconClickHandler` in interface `HasMenuIconClickHandlers`
    Parameters:
      `handler` - the menuIconClick handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### showMenu

    public Boolean showMenu()
    Shows this button's `menu`. Called automatically when a user clicks the `menuIcon`.
    Returns:
      true if a menu was shown

  - ### setDefaultProperties

    public static void setDefaultProperties(RibbonButton ribbonButtonProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `ribbonButtonProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(RibbonButtonLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `Button`